#include <Servo.h> // include the Servo library
Servo servo1, servo2; // create objects for both servos
int servo1Pin = 8; // define where the servos are connected
int servo2Pin = 9; // choose any digital pins you like
int servoState = 90; // store the current state of the changing servo
int servoIncr = 1; // servo increment
long prevMillis = 0; // store the last time the servo was updated

// the follow variable is a long because the time, measured in milliseconds,
// will quickly become a bigger number than can be stored in an int.
long interval = 1000; // interval at which to update (1 sec)

void setup() {
servo1.attach(servo1Pin); // attach the servo objects to digital pins
servo2.attach(servo2Pin);
}

void loop() {
servo1.write(90); // This servo will always go the same speed and direction

// check to see if it's time to change the value of the sweeping servo;
// that is, if the difference between the current time and last time you
// changed is bigger than the interval at which you want to change.
unsigned long currentMillis = millis(); //get the current “time”

if(currentMillis - prevMillis > interval) { // If bigger than interval
prevMillis = currentMillis; // save the last time value changed

if ((servoState > 100) || (servoState < 90)) // if the servo hits a limit
servoIncr = -servoIncr; // change direction
servoState += servoIncr; // modify the servo state by incrementing
} // end “if bigger than interval”

servo2.write(servoState); // Write the new state to the sweeping servo
delay(30); // give both servos time to react...
}
